from my_queue import Queue


# Usuwa co n-tą osobę.
def wyliczanka(osoby, n):
    queue = Queue()

    for osoba in osoby:
        queue.enqueue(osoba)

    while queue.size() > 1:
        # cyklicznie przesuwamy osoby w kolejce
        for _ in range(n):
            queue.enqueue(queue.dequeue())

        # usuwamy n-tą osobę
        print("Usuwamy:", queue.dequeue())

    return queue.dequeue()


if __name__ == "__main__":
    print(wyliczanka(["Adam", "Barbara", "Cezary", "Dariusz", "Ewelina", "Franciszka"], 3))
