class CarWash:
    def __init__(self):
        self.current_car = None

    def tick(self):
        if self.current_car is None:
            return

        self.current_car.wash()
        if self.current_car.is_clean():
            self.current_car = None

    def busy(self):
        return self.current_car is not None

    def __str__(self):
        if not self.busy():
            return "Car wash: idle"
        return "Car wash: cleaning car, {} dirt remaining".format(self.current_car.get_dirt())

    def start_next(self, new_car):
        self.current_car = new_car
